
Redmine - Defect #27361

Failed when using Emoji

2017-11-02 04:38 - Charles So

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.4

Description

Tried to create Issue directly or via email with emoji, reply to forum via email using emoji, and all failed.

Here is output from Production.log

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xF0\x9F\x87\xA6\xF0\x9F...' for column 'description' at row 1:

INSERT INTO `issues` (`project_id`, `author_id`, `priority_id`, `tracker_id`, `status_id`, `subject`, `description`, `start_date`,

`updated_on`, `created_on`, `lock_version`) VALUES (33, 4, 4, 2, 1, 'CCCCC list', '-

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

Is duplicate of Redmine - Defect #24992: MailHandler: an unexpected error occ... Needs feedback

History

#1 - 2017-11-02 04:39 - Charles So

The error log above originally contains a few emojis.... and the whole string got cut off immediately at where the 1st emoji is.

#2 - 2017-11-02 04:41 - Charles So

- File Screen Shot 2017-11-02 at 11.40.11 AM.jpg added

Here is a screen capture of the Production.log

#3 - 2017-11-03 16:05 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #24992.

#4 - 2017-11-03 16:05 - Toshi MARUYAMA

- Is duplicate of Defect #24992: MailHandler: an unexpected error occurred when receiving email: invalid byte sequence in UTF-8 added

#5 - 2018-04-05 11:39 - Tobias Fischer

#21398

#6 - 2019-07-31 09:53 - Tobias Fischer

Related issue in Git commits: #24030

#7 - 2019-07-31 09:55 - Tobias Fischer

Related with more discussion: #18866 and #21398

#8 - 2019-08-17 18:29 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
Screen Shot 2017-11-02 at 11.40.11 AM.jpg 76.1 KB 2017-11-02 Charles So
